<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2008 - INRIA
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry version="5.0-subset Scilab" xml:id="setdiff" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns5="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>

  <refnamediv>
    <refname>setdiff</refname>

    <refpurpose>returns components of a vector which do not belong to another
    one</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>v=setdiff(a,b)
[v,ka]=setdiff(a,b)
</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Parameters</title>

    <variablelist>
      <varlistentry>
        <term>a</term>

        <listitem>
          <para>vector of real numbers or strings</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>b</term>

        <listitem>
          <para>vector of real numbers or strings</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>v</term>

        <listitem>
          <para>vector of real numbers or strings with same orientation than
          <literal>a</literal></para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>ka</term>

        <listitem>
          <para>row vector of integers, ka(i) is the location of v(i) in
          a</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para><literal>setdiff(a,b)</literal> returns a sorted vector which
    retains the <literal>a</literal> entries which are not in
    <literal>b</literal></para>

    <para><literal>[v,ka]=setdiff(a,b)</literal> returns a sorted vector which
    retains the <literal>a</literal> entries which are not in
    <literal>b</literal> and the location of these entries in a.</para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"><![CDATA[ 
a = [223;111;2;4;2;2];
b = [2;3;21;223;123;22];
setdiff(a,b)
[v,k]=setdiff(string(a),string(b))
 ]]></programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
      <member><link linkend="unique">unique</link></member>

      <member><link linkend="gsort">gsort</link></member>

      <member><link linkend="union">union</link></member>
    </simplelist>
  </refsection>
</refentry>
